org.keycloak.dom.xmlsec.w3.xmldsig

## Class TransformsType

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmldsig.TransformsType

-     public class TransformsType
      extends Object

  Java class for TransformsType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="TransformsType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}Transform" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<TransformType>` | `transform`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformsType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTransformsType(TransformType tt)`
    `List<TransformType>` | `getTransform()` Gets the value of the transform property.
    `void` | `removeTransformsType(TransformType tt)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### transform

          protected List<TransformType> transform

  - ### Constructor Detail

    - #### TransformsType

          public TransformsType()

  - ### Method Detail

    - #### addTransformsType

          public void addTransformsType(TransformType tt)

    - #### removeTransformsType

          public void removeTransformsType(TransformType tt)

    - #### getTransform

          public List<TransformType> getTransform()

      Gets the value of the transform property.

      Objects of the following type(s) are allowed in the list `TransformType`

Copyright © 2020 JBoss by Red Hat. All rights reserved.